Create a payment
import requests
url = "https://api.trysynch.com/Payment/Create"
payload = {
"amount": 123,
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactNumber": "<string>",
"emailAddress": "<string>",
"shortDescription": "<string>",
"feePayer": "<string>",
"reference": "<string>",
"attachment": "<string>",
"dueDate": "2023-12-25",
"enableDebitAuth": True,
"debitAuthLimit": 123,
"enableAutoPay": True,
"autoPayLimit": 123,
"metadata": {},
"returnUrl": "<string>",
"oneTimePayment": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/Payment/Create';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
registrationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactNumber: '<string>',
emailAddress: '<string>',
shortDescription: '<string>',
feePayer: '<string>',
reference: '<string>',
attachment: '<string>',
dueDate: '2023-12-25',
enableDebitAuth: true,
debitAuthLimit: 123,
enableAutoPay: true,
autoPayLimit: 123,
metadata: {},
returnUrl: '<string>',
oneTimePayment: true
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request POST \
--url https://api.trysynch.com/Payment/Create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactNumber": "<string>",
"emailAddress": "<string>",
"shortDescription": "<string>",
"feePayer": "<string>",
"reference": "<string>",
"attachment": "<string>",
"dueDate": "2023-12-25",
"enableDebitAuth": true,
"debitAuthLimit": 123,
"enableAutoPay": true,
"autoPayLimit": 123,
"metadata": {},
"returnUrl": "<string>",
"oneTimePayment": true
}
'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/Payment/Create");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"amount\": 123,\n \"locationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"registrationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactNumber\": \"<string>\",\n \"emailAddress\": \"<string>\",\n \"shortDescription\": \"<string>\",\n \"feePayer\": \"<string>\",\n \"reference\": \"<string>\",\n \"attachment\": \"<string>\",\n \"dueDate\": \"2023-12-25\",\n \"enableDebitAuth\": true,\n \"debitAuthLimit\": 123,\n \"enableAutoPay\": true,\n \"autoPayLimit\": 123,\n \"metadata\": {},\n \"returnUrl\": \"<string>\",\n \"oneTimePayment\": true\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/Payment/Create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 123,\n \"locationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"registrationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactNumber\": \"<string>\",\n \"emailAddress\": \"<string>\",\n \"shortDescription\": \"<string>\",\n \"feePayer\": \"<string>\",\n \"reference\": \"<string>\",\n \"attachment\": \"<string>\",\n \"dueDate\": \"2023-12-25\",\n \"enableDebitAuth\": true,\n \"debitAuthLimit\": 123,\n \"enableAutoPay\": true,\n \"autoPayLimit\": 123,\n \"metadata\": {},\n \"returnUrl\": \"<string>\",\n \"oneTimePayment\": true\n}"
response = http.request(request)
puts response.read_body{
"paymentRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountMask": "<string>",
"url": "<string>",
"registrationPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Payment
Create a payment
Creates a new payment for a given user
POST
/
Payment
/
Create
Create a payment
import requests
url = "https://api.trysynch.com/Payment/Create"
payload = {
"amount": 123,
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactNumber": "<string>",
"emailAddress": "<string>",
"shortDescription": "<string>",
"feePayer": "<string>",
"reference": "<string>",
"attachment": "<string>",
"dueDate": "2023-12-25",
"enableDebitAuth": True,
"debitAuthLimit": 123,
"enableAutoPay": True,
"autoPayLimit": 123,
"metadata": {},
"returnUrl": "<string>",
"oneTimePayment": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/Payment/Create';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
registrationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactNumber: '<string>',
emailAddress: '<string>',
shortDescription: '<string>',
feePayer: '<string>',
reference: '<string>',
attachment: '<string>',
dueDate: '2023-12-25',
enableDebitAuth: true,
debitAuthLimit: 123,
enableAutoPay: true,
autoPayLimit: 123,
metadata: {},
returnUrl: '<string>',
oneTimePayment: true
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request POST \
--url https://api.trysynch.com/Payment/Create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactNumber": "<string>",
"emailAddress": "<string>",
"shortDescription": "<string>",
"feePayer": "<string>",
"reference": "<string>",
"attachment": "<string>",
"dueDate": "2023-12-25",
"enableDebitAuth": true,
"debitAuthLimit": 123,
"enableAutoPay": true,
"autoPayLimit": 123,
"metadata": {},
"returnUrl": "<string>",
"oneTimePayment": true
}
'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/Payment/Create");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"amount\": 123,\n \"locationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"registrationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactNumber\": \"<string>\",\n \"emailAddress\": \"<string>\",\n \"shortDescription\": \"<string>\",\n \"feePayer\": \"<string>\",\n \"reference\": \"<string>\",\n \"attachment\": \"<string>\",\n \"dueDate\": \"2023-12-25\",\n \"enableDebitAuth\": true,\n \"debitAuthLimit\": 123,\n \"enableAutoPay\": true,\n \"autoPayLimit\": 123,\n \"metadata\": {},\n \"returnUrl\": \"<string>\",\n \"oneTimePayment\": true\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/Payment/Create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 123,\n \"locationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"registrationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactNumber\": \"<string>\",\n \"emailAddress\": \"<string>\",\n \"shortDescription\": \"<string>\",\n \"feePayer\": \"<string>\",\n \"reference\": \"<string>\",\n \"attachment\": \"<string>\",\n \"dueDate\": \"2023-12-25\",\n \"enableDebitAuth\": true,\n \"debitAuthLimit\": 123,\n \"enableAutoPay\": true,\n \"autoPayLimit\": 123,\n \"metadata\": {},\n \"returnUrl\": \"<string>\",\n \"oneTimePayment\": true\n}"
response = http.request(request)
puts response.read_body{
"paymentRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountMask": "<string>",
"url": "<string>",
"registrationPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
JWT Authorization header using the Bearer scheme.
Use /auth/token to obtain access token.
Enter 'Bearer' [space] and then your token in the text input below.
Example: 'Bearer eyJhbGci...'
Headers
Body
application/jsontext/jsonapplication/*+json
Show child attributes
Show child attributes
Last modified on July 21, 2026
Was this page helpful?
⌘I